跳到主要内容

列出授权用户 watch 了的仓库

GET 

/api/v5/user/subscriptions

Request​

Query Parameters

    access_token stringrequired

    用户授权码

    sort string

    created/last_push 根据仓库创建时间(created)或最后推送时间(updated)进行排序,默认:创建时间

    direction string

    asc/desc 排序方向,默认:降序

    page integer

    当前的页码

    per_page integer

    每页的数量,最大为 100,默认 20

Responses​

成功响应

Response Headers
    Schema
    • Array [
    • id仓库 Id (integer)
      full_name仓库全路径 (string)
      human_name仓库全名称 (string)
      url仓库详情访问地址 (string)
      namespace object
      idinteger
      typestring
      namestring
      pathstring
      html_urlstring
      path仓库路径 (string)
      name仓库名称 (string)
      parentfull_name父仓库名称 (string)
      description仓库描述 (string)
      status仓库状态,0:开始(表示仓库未归档),2:关闭(表示仓库已归档) (string)
      ssh_url_to_repo仓库ssh git地址 (string)
      http_url_to_repo库http git地址 (string)
      web_url仓库web访问地址 (string)
      created_at创建时间 (string)
      updated_at更新时间 (string)
      homepage仓库主页 (string)
      membersstring[]
      parent object
      full_namestring
      human_namestring
      forks_countfork数量 (integer)
      stargazers_countstar数量 (integer)
      relation当前用户相对于仓库的角色 (string)
      permission object
      pullinteger
      pushinteger
      admininteger
      internal是否内部开源 (integer)
      open_issues_count开启的issue数量 (integer)
      has_issueinteger
      has_issues是否开启issue功能 (integer)
      watchers_countwatch数量 (integer)
      enterprise object
      idinteger
      pathstring
      html_urlstring
      typestring
      default_branch默认分支 (string)
      fork是否fork仓库 (integer)
      pushed_at最近一次代码推送时间 (string)
      owner object
      idstring
      loginstring
      namestring
      typestring
      issue_template_sourceIssue 模版来源 project: 使用仓库 Issue Template 作为模版; enterprise: 使用企业工作项作为模版 (string)
      project_creator仓库创建人 (string)
      private是否私有仓库 (integer)
      public是否公开仓库 (integer)
    • ]